<?php
// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/* ********************
 * Add theme support for feed links, custom  
 * background, menu and post thumbnails support and call style files
 ******************************************************************** */
	add_theme_support('automatic-feed-links');
	add_theme_support( 'menus' );
	add_theme_support('custom-background');
	add_theme_support('post-thumbnails');
	  	
	function flowplayerSkin() { /* Function gets executred within framework/functions/gabfire-media.php */
		wp_enqueue_style('flowplayer-skin', get_template_directory_uri() .'/inc/js/flowplayer/skin/playful.css');	
	}
	
/* ********************
 * Load theme shortcodes css file and include shortcodes.php file
 * only if shortcodes option is activated on theme control panel
 ******************************************************************** */
	if (of_get_option('of_shortcodes') == 1) {
		if (!is_admin()) add_action( 'wp_print_styles', 'gab_shortcodecss' );
			if (!function_exists('gab_shortcodecss')) {
				function gab_shortcodecss() {
					if(file_exists(get_stylesheet_directory() . '/framework/functions/css/shortcodes.css')) { 
						wp_enqueue_style('gabfire_shortcodes', get_template_directory_uri() .'/framework/functions/css/shortcodes.css');
					} else {
						wp_enqueue_style('gabfire_shortcodes', get_template_directory_uri() .'/framework/functions/css/shortcodes.css');
					}
				}
		}
		get_template_part( 'framework/functions/shortcodes', '' );
	}	
	
/* ********************
 * Modify dynamic_sidebar widget function slightly to return a
 * variable and display name of widget zone to ste admin if the
 * option 'display widget map' is activated on theme control panel
 ******************************************************************** */
	function gab_dynamic_sidebar($widgetname)
	{
	  dynamic_sidebar($widgetname);  
	  if((of_get_option('of_widget', 0) == 1) and is_user_logged_in() ) { 
		echo '<span class="widgetmapname">'.$widgetname.'</span>'; 
	  }  
	}

/* ********************
 * Some navigations displays pages and cats side by side. If there is
 * not any registered category within site, 'No Categories' string shows
 * on navigation together with pages. bm_dont_display_it function is going
 * to hide 'no categories' string incase of this scenario.
 ******************************************************************** */
	function bm_dont_display_it($dont_display) {
	  if (!empty($dont_display)) {
		$dont_display = str_ireplace('<li>' .__( "No categories" ). '</li>', "", $dont_display);
	  }
	  return $dont_display;
	}
	add_filter('wp_list_categories','bm_dont_display_it');

/* ********************
 * The site title that is displayed in header
 * between <title></title> tags
 ******************************************************************** */
add_filter( 'wp_title', 'gab_wp_title', 10, 3 );

function gab_wp_title( $old_title, $sep, $sep_location ) {
    global $page, $paged;
    /** Set initial title text */
    $title = get_bloginfo( 'name' );
    /** Add wrapping spaces to separator character */
    $sep = ' ' . $sep . ' ';

    $gab_title_text = $title;

    /** Add the blog description (tagline) for the home/front page */
    $site_tagline = get_bloginfo( 'description', 'display' );
    if ( $site_tagline && ( is_home() || is_front_page() ) )
        $gab_title_text = $title . $sep . $site_tagline;

    if ( is_page() || is_single() )
        $gab_title_text = get_the_title() . $sep . $title;

    if ( is_category() ) {
        $gab_title_text = sprintf( __( '%s Archive', 'gabfire' ), single_cat_title( '', false ) ) . $sep . $title;
    } elseif ( is_day() ) {
        $gab_title_text = sprintf( __( 'Archive for %s', 'gabfire' ), get_the_time( 'F jS, Y' ) ) . $sep . $title;
    } elseif ( is_month() ) {
        $gab_title_text = sprintf( __( 'Archive for %s', 'gabfire' ), get_the_time( 'F, Y' ) ) . $sep . $title;
    } elseif ( is_year() ) {
        $gab_title_text = sprintf( __( 'Archive for %s', 'gabfire' ), get_the_time( 'Y' ) ) . $sep . $title;
    } elseif ( is_search() ) {
        $gab_title_text = sprintf( __( 'Search Results for %s', 'gabfire' ), $_GET['s'] ) . $sep . $title;
    } elseif ( is_author() ) {
        $gab_title_text = __( 'Author Archive', 'gabfire' ) . $sep . $title;
    } elseif ( is_tag() ) {
        $gab_title_text = __( 'Tag Archive', 'gabfire' ) . $sep . $title;
    } elseif ( is_feed() ) {
        $gab_title_text ='';
    }

    /** Add a page number if necessary */
    if ( $paged >= 2 || $page >= 2 )
        $gab_title_text .= $sep . sprintf( __( 'Page %s', 'gabfire' ), max( $paged, $page ) );

    return $gab_title_text;
}

/* ********************
 * Source framework has support to display category based ads.
 * Using current_catID; we check whether a file exist with
 * current_catID.php name or not.
 ******************************************************************** */
	function current_catID() {
		global $wp_query,  $cat_obj, $currentcat;

		if (is_category()) {	
			$cat_obj = $wp_query->get_queried_object();
			$currentcat = $cat_obj->term_id;
		} 
		elseif (is_single() and !is_attachment()) {
			$category = get_the_category();
			$currentcat = $category[0]->cat_ID;
		}
		
		return $currentcat;
	}

/* ********************
 * Category based ad function.
 * Using current_catID function, we check if an ad file per cat
 * is available or not.
 ******************************************************************** */
 	function gab_categoryad($path) {
		if((is_single() or is_category()) and (file_exists(get_template_directory() . '/ads/'.$path.'/'. current_catID() .'.php'))) {
			include(get_template_directory() . '/ads/'.$path.'/'. current_catID() .'.php');
		} else {
			include(get_template_directory() . '/ads/'.$path.'.php');
		}
	}

/* ********************
 * Limit post excerpts. Within theme files used as 
 * print string_limit_words(get_the_excerpt(), 16);
 ******************************************************************** */
	function string_limit_words($string, $word_limit) {
		global $post, $page;
		if( $post->post_excerpt ) {
			$word_limit = 999;
		}
		$words = explode(' ', $string, ($word_limit + 1));
		if(count($words) > $word_limit)
		array_pop($words);
		return implode(' ', $words);
	}

/* ********************
 * The post meta display below post excerpts on front page
 * default usage gab_postmeta(date, comment, permalink, edit-post)
 ******************************************************************** */
	function gab_permalink() { /* We first create a function to get the post permalink with read more anchor */
		echo '<span class="meta_permalink">';
		echo '<a href="'; the_permalink(); echo '" title="'; printf( esc_attr__( 'Permalink to %s', 'gabfire' ), the_title_attribute( 'echo=0' ) ); echo'" rel="bookmark">'; esc_attr_e('Read More', 'gabfire'); echo '</a>';
		echo '</span>';
	}
	function gab_postcomment() { /* We first create a function to get the post permalink with read more anchor */
		echo '<span class="meta_comment">';
		comments_popup_link(__('No Comment','gabfire'), __('1 Comment','gabfire'), __('% Comments','gabfire'));
		echo '</span>';
	}	
	
	function gab_postmeta($date = true,$comment = true,$permalink = true,$edit = true) {
		echo '<p class="postmeta">';
			echo (true === $date) ? '<span class="meta_date">' . get_the_date() . '</span>' : "";
			echo (true === $comment) ? gab_postcomment() : "";
			echo (true === $permalink) ?  gab_permalink() : "";
			(true === $edit) ? edit_post_link(__('#','gabfire'),'<span class="meta_edit">','</span>') : "";
		echo '</p>';
	}

/* ********************
 * Truncate post title. 
 * default usage gab_posttitle(title length,string after title)
 ******************************************************************** */
    function gab_posttitle($t_length,$t_end) {
        global $post;
        $thetitle = $post->post_title;
        if( function_exists('mb_strlen') ) {
            $getlength = mb_strlen($thetitle, 'UTF-8');
            $thelength = $t_length;
            echo mb_substr($thetitle, 0, $thelength, 'UTF-8');
        } else {
            $getlength = strlen($thetitle);
            $thelength = $t_length;
            echo substr($thetitle, 0, $thelength);
        }
        if ($getlength > $thelength) echo $t_end;
    }  
	
/* ********************
 * Create a user login form and set a function to display that login/signup
 * box using a lightbox plugin within GabfireThemes
 ******************************************************************** */
	function register_loginform() { ?>
		<div class="hide">
			<div id="register-login">
				<div class="col left">
					<div class="title">
						<h3><?php _e('Register an Account','gabfire'); ?><span><?php _e('Sign Up and Contribute!','gabfire'); ?></span></h3>
					</div>
					
					<!-- Register Form -->
					<form method="post" action="<?php echo site_url('wp-login.php?action=register', 'login_post') ?>" id="registerform" name="registerform">
						<p>
							<label><?php _e('Username','gabfire'); ?><br />
							<input type="text" tabindex="10" size="20" value="" class="input" id="user_login_left" name="user_login" />
							</label>
						</p>
						<p>
							<label><?php _e('E-mail','gabfire'); ?><br />
							<input type="text" tabindex="20" size="25" value="" class="input" id="user_email" name="user_email" />
							</label>
						</p>
						
						<p id="reg_passmail"><?php _e('A password will be e-mailed to you.','gabfire'); ?></p>

						<p class="submit">
							<?php do_action('login_form', 'register'); ?>
							<input type="submit" tabindex="100" value="Register" class="button-primary" id="wp-submit_form" name="wp-submit" />
							<input type="hidden" name="redirect_to" value="<?php echo home_url(); ?>/wp-admin/profile.php" />
							<input type="hidden" name="cookie" value="1" />
						</p>
					</form>
				</div>
				
				<div class="col right">
					<div class="title">
						<h3><?php _e('Have an Account?','gabfire'); ?><span><?php _e('Login Using This Form','gabfire'); ?></span></h3>
					</div>

					<?php 
					$args = array(
					'redirect' => home_url().'/wp-admin/profile.php', 
					'value_username' => NULL,
					'value_remember' => false 
					); 				
					
					wp_login_form($args);
					?>
				</div>  
			</div>	
		</div>
	<?php }

	function gab_userlogin() {
		if (is_user_logged_in()) {
			global $current_user;
			get_currentuserinfo();
				_e('Welcome','gabfire');
				if($current_user->user_firstname) {
					echo ' ' . $current_user->user_firstname . '!' . "\n";
				} else {
				echo ' ' . $current_user->user_login . '! - ' . "\n";
				}
			wp_loginout(); 
		} else { 
			echo '<a class="show register-button" href="#register-login">';
			_e('Contribute', 'gabfire');
			echo '</a>';
			
			register_loginform();
		}
	}

/* ********************
 * Adding the Open Graph in the Language Attributes
 ******************************************************************** */
if (of_get_option('of_fbonhead', 0) == 1) {
add_filter('language_attributes', 'add_og_xml_ns');
function add_og_xml_ns($content) {
  return ' xmlns:og="http://ogp.me/ns#" ' . $content;
}
add_filter('language_attributes', 'add_fb_xml_ns');

function add_fb_xml_ns($content) {
  return ' xmlns:fb="https://www.facebook.com/2008/fbml" ' . $content;
}
	//Lets add Open Graph Meta Info
	function facebookmeta_head() {
		global $post;
		if ( is_single() ) {
			echo '<meta property="og:title" content="' . get_the_title() . '"/>'."\n"; 
			echo '<meta property="og:type" content="article"/>'."\n"; 
			echo '<meta property="og:url" content="' . get_permalink() . '"/>'."\n"; 
			echo '<meta property="og:site_name" content="' . get_bloginfo('name') . '"/>'."\n"; 
			
			$thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'medium' );
			echo '<meta property="og:image" content="' . esc_attr( $thumbnail_src[0] ) . '"/>';
		echo "\n";
		}
	}
	add_action( 'wp_head', 'facebookmeta_head', 5 );
}

/* ********************
 * Innerpage Slider
 * single postpage slider that auto grabs all attached pictures
 * and displays them with a nice slider
 ******************************************************************** */
 function gab_innerslider() {
	global $post, $page;
	if (of_get_option('of_inslider') == 2) {
		get_template_part( 'inc/theme-gallery', '' );
	} 
	elseif (
			( of_get_option('of_inslider') == 1) and (has_tag(of_get_option('of_inslider_tag')) ) 
		or 
			(  has_term( of_get_option('of_inslider_tag') , 'gallery-tag', '' )) ) 
	{
		get_template_part( 'inc/theme-gallery', '' );
	}
} 

// check for a certain meta key on the current post and add a body class if meta value exists

/* ********************
 * Ad video-post class
 * add video-post as a class into post_class function
 * based on custom fields defined within post.
 ******************************************************************** */
add_filter('post_class','gabfire_post_classes');

function gabfire_post_classes( $classes ) {
	if ( (get_post_meta( get_the_ID(), 'iframe', true )) or (get_post_meta( get_the_ID(), 'videoflv', true )) or (get_post_meta( get_the_ID(), 'adflv', true )) ) {
		$classes[] = 'video-post';
	}
	return $classes;
}

/* ********************
 * Mobile Detect
 * Check if it is a mobile browser
 ******************************************************************** */
	$mobile_browser = '0';
	 
	if (preg_match('/(up.browser|up.link|mmp|symbian|smartphone|midp|wap|phone|android)/i', strtolower($_SERVER['HTTP_USER_AGENT']))) {
		$mobile_browser++;
	}
	 
	if ((strpos(strtolower($_SERVER['HTTP_ACCEPT']),'application/vnd.wap.xhtml+xml') > 0) or ((isset($_SERVER['HTTP_X_WAP_PROFILE']) or isset($_SERVER['HTTP_PROFILE'])))) {
		$mobile_browser++;
	}    
	 
	$mobile_ua = strtolower(substr($_SERVER['HTTP_USER_AGENT'], 0, 4));
	$mobile_agents = array(
		'w3c ','acs-','alav','alca','amoi','audi','avan','benq','bird','blac',
		'blaz','brew','cell','cldc','cmd-','dang','doco','eric','hipt','inno',
		'ipaq','java','jigs','kddi','keji','leno','lg-c','lg-d','lg-g','lge-',
		'maui','maxo','midp','mits','mmef','mobi','mot-','moto','mwbp','nec-',
		'newt','noki','oper','palm','pana','pant','phil','play','port','prox',
		'qwap','sage','sams','sany','sch-','sec-','send','seri','sgh-','shar',
		'sie-','siem','smal','smar','sony','sph-','symb','t-mo','teli','tim-',
		'tosh','tsm-','upg1','upsi','vk-v','voda','wap-','wapa','wapi','wapp',
		'wapr','webc','winw','winw','xda ','xda-');
	 
	if (in_array($mobile_ua,$mobile_agents)) {
		$mobile_browser++;
	}
	
        if (isset($_SERVER['ALL_HTTP'])){
            if (strpos(strtolower($_SERVER['ALL_HTTP']),'OperaMini') > 0) {
                    $mobile_browser++;
            }
        }
	 
	if (strpos(strtolower($_SERVER['HTTP_USER_AGENT']),'windows') > 0) {
		$mobile_browser = 0;
	}
	
	if ($mobile_browser > 0) {
	   // do something
	}
	else {
	   // do something else
	}   