<?php	       
    // OPTION PANEL    
    if ( !function_exists( 'optionsframework_init' ) ) {
        define( 'OPTIONS_FRAMEWORK_DIRECTORY', get_template_directory_uri() . '/framework/admin/' );
        require_once dirname( __FILE__ ) . '/framework/admin/options-framework.php';     
    
		/* This builds dashboard menu */
		get_template_part( 'framework/admin/admin-menu'); // Load Admin Menu

		// FRAMEWORK FILES
		get_template_part( 'framework/functions/misc-functions'); // Misc theme functions
		get_template_part( 'framework/functions/breadcrumb'); // Breadcrumb function
		get_template_part( 'framework/functions/dashboard-widget'); // Gabfire Themes RSS widget for WP Dashboard
		get_template_part( 'framework/functions/gabfire-media'); // Gabfire Media Module
			
		get_template_part( 'inc/theme-js'); // Load theme Javascripts
		get_template_part( 'inc/theme-comments');    // Load custom comments template
		get_template_part( 'inc/widgetize-theme'); // Register sidebars
		get_template_part( 'inc/I18n-functions'); // localization support
		get_template_part( 'inc/post-thumbnails'); // Load theme thumbnails
		get_template_part( 'inc/script-init'); // Javascript init
		get_template_part( 'inc/custom-fields'); // Breadcrumb function	
    } 
	
	/* Add custom navigation support
	 * For header navigations check the core files at
	 * inc/functions/misc-functions file
	 */
	// Add custom navigation support
	register_nav_menus(array(
		'primary' => 'Primary Navigation',
		'footer' => 'Footer Navigation',
		'megadp-1' => '1st Mega Dropdown Items',
		'megadp-2' => '2nd Mega Dropdown Items',
		'megadp-3' => '3rd Mega Dropdown Items',
		'megadp-4' => '4th Mega Dropdown Items',
		'megadp-5' => '5th Mega Dropdown Items',
		'megadp-6' => '6th Mega Dropdown Items',
		'megadp-7' => '7th Mega Dropdown Items',
		'megadp-8' => '8th Mega Dropdown Items',
		'megadp-9' => '9th Mega Dropdown Items',
		'megadp-10' => '10th Mega Dropdown Items',
	));

// remove parentheses from category list and add span class to post count
if ( ! function_exists( 'categories_postcount_filter' ) ) {
	function categories_postcount_filter ($brackets) {
	$brackets = str_replace('(', '<span class="post-count"> ', $brackets);
	$brackets = str_replace(')', ' </span>', $brackets);
	   return $brackets;
	}
	add_filter('wp_list_categories','categories_postcount_filter');
}

if ( ! function_exists( 'entrynr_perCat' ) ) {
	function entrynr_perCat( $query ) {
		if ( is_admin() || ! $query->is_main_query() )
			return;

		if ( is_category(explode(',', of_get_option('of_pt_w_slider'))) ) {
			// Posts id assigned via of_pt_w_slider show 9 posts
			$query->set( 'posts_per_page', 8 );
			return;
		}
		
		if ( is_category(explode(',', of_get_option('of_pt_2col'))) ) {
			$query->set( 'posts_per_page', 10 );
			return;
		}
		
		if ( is_category(explode(',', of_get_option('of_pt_3col'))) ) {
			$query->set( 'posts_per_page', 9 );
			return;
		}	
		
		if ( is_category(explode(',', of_get_option('of_pt_4col'))) ) {
			$query->set( 'posts_per_page', 12 );
			return;
		}	
	}
	add_action( 'pre_get_posts', 'entrynr_perCat', 1 );
}