<?php
global $post_layout;
$number_photos = -1; 		// -1 to display all
$photo_size = 'large';		// The standard WordPress size to use for the large image
$thumb_size = 'thumbnail';	// The standard WordPress size to use for the thumbnail
$thumb_width = 65;			// Size of thumbnails to embed into img tag
$thumb_height = 50;			// Size of thumbnails to embed into img tag
$photo_width = 1150;		// Width of photo

$themeurl = get_template_directory_uri();

$attachments = get_children( array(
'post_parent' => $post->ID,
'numberposts' => $number_photos,
'post_type' => 'attachment',
'post_mime_type' => 'image',
'order' => 'ASC', 
'orderby' => 'menu_order')
);

$siteurl = get_template_directory_uri();

if ( !empty($attachments) ) :
	$counter = 0;
	$photo_output = '';
	$thumb_output = '';	
	foreach ( $attachments as $att_id => $attachment ) {
		$counter++;
		
		# Caption
		$caption = "";
		if ($attachment->post_excerpt) {
			$caption = '<p class="media-caption"><span class="media-caption-inner">'. $attachment->post_excerpt .'</span></p>';
		}
	
		# Large photo
		$src = wp_get_attachment_image_src($attachment->ID, 'op-loop-slider', true);
		$full = wp_get_attachment_image_src($attachment->ID, 'large', true);
		if (of_get_option('of_wpmumode')==0) {
			if(is_multisite()) { 
				$photo_output .= '<div class="slideitem"><img  src="' . esc_url($themeurl) . '/timthumb.php?src='.urlencode(redirect_wpmu($full[0])).'&amp;q=90&amp;w='.$photo_width.'&amp;zc=1" width="'.$photo_width.'" alt="" />'.$caption.'</div>';
			} else {
				$photo_output .= '<div class="slideitem"><img  src="' . esc_url($themeurl) . '/timthumb.php?src='.urlencode($full[0]).'&amp;q=90&amp;w='.$photo_width.'&amp;zc=1" width="'.$photo_width.'" alt="" />'.$caption.'</div>';
			}		
		} else {
			$photo_output .= '<div class="slideitem"><img src="'. $src[0] .'" width="'.$photo_width.'" alt="" />'.$caption.'</div>';
		} 	
	}  
endif; ?>

<?php if ($counter > 1) : ?>
<div id="innerslide_wrapper">
	<div class="cycle-slideshow" 
	
		<?php if(of_get_option('of_inner_rotate') == 1) { ?>
			data-cycle-pause-on-hover="true"
			data-cycle-speed="<?php echo of_get_option('of_inner_speed'); ?>"
		<?php } else { ?>
			data-cycle-timeout="0"
		<?php } ?>
		data-cycle-loader="true"
		data-cycle-fx=" <?php echo of_get_option('of_inner_slidefx'); ?>"
		data-cycle-pager="#gallery-custom-pager"
		
		data-cycle-prev=".prev"
		data-cycle-next=".next"	
		data-cycle-slides="> div"
		>	
		<?php echo $photo_output; ?>
	</div>
	<div id="direction-nav">
		<a href=# class="prev"><?php _e('Prev','gabfire'); ?></a> 
		<a href=# class="next"><?php _e('Next','gabfire'); ?></a>
	</div>	
	
	<div id="gallery-custom-pager" class="center external"></div>
</div>
<?php endif; ?>
