<?php
	/*
		Template Name: Right Sidebar
	*/
?>

<?php get_header(); ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<div id="content">
	<div id="post-<?php the_ID(); ?>" <?php post_class('entry single-rightsidebar'); ?>>
		
		<h1 class="entry-title"><?php the_title(); ?></h1>
				
		<?php 	 
		if (of_get_option('of_autoimage') == 1) { 
			$enableimage = 1;
		} else {
			$enableimage = 0;
		}			
		
		// Theme innerpage slider
		gab_innerslider();
		
		// Video or featured image
		gab_media(array(
			'name' => 'pt-innerslide', /* This name is used for attachment, innerpage slider and single.php files */
			'imgtag' => 1,
			'link' => 0,
			'enable_video' => 1,
			'resize_type' => 'w', /* c to crop, h to resize only height, w to resize only width */
			'catch_image' => 0,
			'enable_thumb' => $enableimage,
			'media_width' => 650, 
			'media_height' => 350, 
			'thumb_align' => 'aligncenter', 
			'enable_default' => 0,
		));

		$subtitle = get_post_meta($post->ID, 'subtitle', true);
		
		if ($subtitle !== '') {
			echo '<h3 class="subtitle">' . $subtitle . '</h3>';
		} 
		// Display content
		the_content();
		
		// make sure any gabfireed content gets cleared
		echo '<div class="clear"></div>';
				
		// Display pagination
		wp_link_pages('before=<p>&after=</p>&next_or_number=number&pagelink= %');
		
		// Display edit post link to site admin
		edit_post_link(__('Edit This Post','gabfire'),'<p>','</p>'); 			
		?>
				
	</div><!-- /entry -->
	
	<?php endwhile; else : endif; ?>
</div><!-- /content -->
	
<div id="sidebar" class="sidebar sidebar-right">
	<div class="sidebarinner">
		<?php get_sidebar('right-top'); ?>
		
		<div class="clearfix"></div>
		<?php get_sidebar('right-bottomleft'); ?>
		
		<?php get_sidebar('right-bottomright'); ?>
		
	</div><!-- .sidebarinner -->
</div><!-- /sidebar -->

<div class="clearfix"></div>

<?php get_footer(); ?>