<?php
	/*
		Template Name: Sitemap
	*/
?>

<?php get_header(); ?>

<div class="single-default sidebarleft sidebar">
	<?php get_sidebar('3col-templ-leftColSidebar'); ?>
</div>

<div id="content" class="single-default entrycontainer">
	<div id="post-<?php the_ID(); ?>" <?php post_class('entry'); ?>>				
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<h1 class="entry-title"><?php the_title(); ?></h1>
						
		<?php 		
		if (of_get_option('of_autoimage') == 1) { 
			$enableimage = 1;
		} else {
			$enableimage = 0;
		}			
		
		// Theme innerpage slider
		gab_innerslider();
		
		// Video or featured image
		gab_media(array(
			'name' => 'pt-innerslide', /* This name is used for attachment, innerpage slider and single.php files */
			'imgtag' => 1,
			'link' => 0,
			'enable_video' => 1,
			'resize_type' => 'w', /* c to crop, h to resize only height, w to resize only width */
			'catch_image' => 0,
			'enable_thumb' => $enableimage,
			'media_width' => 650, 
			'media_height' => 550, 
			'thumb_align' => 'aligncenter', 
			'enable_default' => 0,
		));

		$subtitle = get_post_meta($post->ID, 'subtitle', true);
		
		if ($subtitle !== '') {
			echo '<h3 class="subtitle">' . $subtitle . '</h3>';
		} 
		// Display content
		the_content();
		
		// make sure any gabfireed content gets cleared
		echo '<div class="clearfix"></div>';	
		
		// Display pagination
		wp_link_pages('before=<p>&after=</p>&next_or_number=number&pagelink= %');
		
		// Display edit post link to site admin
		edit_post_link(__('Edit This Post','gabfire'),'<p>','</p>'); 
		?>
		
		<?php endwhile; else : endif; ?>
		
		<div style="width:48%" class="pull-left">  
		<h3><?php _e( 'Pages', 'gabfire' ) ?></h3>
		<ul class="sitemap">
			<?php wp_list_pages( 'depth=0&sort_column=menu_order&title_li=' ); ?>		
		</ul>
		</div>				

		<div style="width:48%" class="pull-right">												  	    
		<h3><?php _e( 'Categories', 'gabfire' ) ?></h3>
		<ul class="sitemap">
			<?php wp_list_categories( 'title_li=&hierarchical=0&show_count=1') ?>	
		</ul>
		</div>			

		<div class="clearfix"></div>
		
		<?php
	   // This is where loop for archives list starts
		$cats = get_categories();
		foreach ($cats as $cat) {
		query_posts('cat='.$cat->cat_ID);
		?>
			<div class="widget">
			<h3><?php echo $cat->cat_name; ?></h3>
			<ul>	
				<?php while (have_posts()) : the_post(); ?>
				<li><a href="<?php the_permalink() ?>"><?php the_title(); ?></a> - (<?php echo $post->comment_count ?>)</li>
				<?php endwhile;  ?>
			</ul>
			</div>
		<?php } ?>	
	</div><!-- /entry -->
	

</div><!-- /content -->
	
<div id="sidebar" class="single-default sidebarright sidebar">
	<?php get_sidebar('3col-templ-rightColSidebar'); ?>
</div><!-- /sidebar -->

<div class="clearfix"></div>
	
<?php get_footer(); ?>